Index: trunk/lib/FlairCore/src/unexported/io_data_impl.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/io_data_impl.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/io_data_impl.h	(revision 15)
@@ -19,29 +19,30 @@
 * \brief Abstract class for data types.
 *
-* Use this class to define a custom data type. Data types ares used for logging and graphs. \n
+* Use this class to define a custom data type. Data types ares used for logging
+*and graphs. \n
 * The reimplemented class must call SetSize() in its constructor. \n
 * io_data can be constructed with n samples (see io_data::io_data).
 * In this case, old samples can be accessed throug io_data::Prev.
 */
-class io_data_impl
-{
-    public:
-		io_data_impl(flair::core::io_data* self,int n);
-		~io_data_impl();
-		void Circle(void);
-		bool IsConsistent(void);
-		void SetConsistent(bool status);
-		void WriteLogDescriptor(std::fstream& desc_file,int *index);
-		void PrintLogDescriptor(void);
-        void AppendLogDescription(std::string description,flair::core::DataType const &datatype);
-        size_t size;
-        flair::core::Time time;
-        void** circle_ptr;
+class io_data_impl {
+public:
+  io_data_impl(flair::core::io_data *self, int n);
+  ~io_data_impl();
+  void Circle(void);
+  bool IsConsistent(void);
+  void SetConsistent(bool status);
+  void WriteLogDescriptor(std::fstream &desc_file, int *index);
+  void PrintLogDescriptor(void);
+  void AppendLogDescription(std::string description,
+                            flair::core::DataType const &datatype);
+  size_t size;
+  flair::core::Time time;
+  void **circle_ptr;
 
-    private:
-        flair::core::io_data* self;
-        int n;
-        bool is_consistent;
-        std::vector<std::string> descriptors;
+private:
+  flair::core::io_data *self;
+  int n;
+  bool is_consistent;
+  std::vector<std::string> descriptors;
 };
 
Index: trunk/lib/FlairCore/src/unexported/ui_com.h
===================================================================
--- trunk/lib/FlairCore/src/unexported/ui_com.h	(revision 14)
+++ trunk/lib/FlairCore/src/unexported/ui_com.h	(revision 15)
@@ -25,51 +25,48 @@
 #endif
 
-namespace flair
-{
-    namespace core
-    {
-        class Mutex;
-        class Object;
-    }
-    namespace gui
-    {
-        class SendData;
-    }
+namespace flair {
+namespace core {
+class Mutex;
+class Object;
+}
+namespace gui {
+class SendData;
+}
 }
 
-class ui_com: public flair::core::Thread
-{
-    public:
-        ui_com(const flair::core::Object *parent,UDTSOCKET sock);
-        ~ui_com();
-        void Send(char* buf,ssize_t size);
-        ssize_t Receive(char* buf,ssize_t buf_size);
-        void AddSendData(const flair::gui::SendData *obj);
-        void UpdateSendData(const flair::gui::SendData *obj);
-        void RemoveSendData(const flair::gui::SendData *obj);
-        void UpdateDataToSendSize(void);
-        void Block(void);
-        void UnBlock(void);
-        bool ConnectionLost(void);
+class ui_com : public flair::core::Thread {
+public:
+  ui_com(const flair::core::Object *parent, UDTSOCKET sock);
+  ~ui_com();
+  void Send(char *buf, ssize_t size);
+  ssize_t Receive(char *buf, ssize_t buf_size);
+  void AddSendData(const flair::gui::SendData *obj);
+  void UpdateSendData(const flair::gui::SendData *obj);
+  void RemoveSendData(const flair::gui::SendData *obj);
+  void UpdateDataToSendSize(void);
+  void Block(void);
+  void UnBlock(void);
+  bool ConnectionLost(void);
 
-    private:
-        ssize_t send_size;
-        char *send_buffer;
-        std::vector<const flair::gui::SendData*> data_to_send;
-        std::vector<flair::core::Time> resume_time;
-        flair::core::Mutex *send_mutex;
-        UDTSOCKET socket_fd;
-        bool connection_lost;
-        void Run(void);
-        void SendDatas(void);
-        static int compressBuffer(char *in, ssize_t in_size,char **out,ssize_t *out_size, int level);
-        static int uncompressBuffer(unsigned char *in, ssize_t in_size,unsigned char **out,ssize_t *out_size);
+private:
+  ssize_t send_size;
+  char *send_buffer;
+  std::vector<const flair::gui::SendData *> data_to_send;
+  std::vector<flair::core::Time> resume_time;
+  flair::core::Mutex *send_mutex;
+  UDTSOCKET socket_fd;
+  bool connection_lost;
+  void Run(void);
+  void SendDatas(void);
+  static int compressBuffer(char *in, ssize_t in_size, char **out,
+                            ssize_t *out_size, int level);
+  static int uncompressBuffer(unsigned char *in, ssize_t in_size,
+                              unsigned char **out, ssize_t *out_size);
 #ifdef __XENO__
-        bool is_running;
-        static void* user_thread(void * arg);
-        pthread_t thread;
-        RT_PIPE pipe;
+  bool is_running;
+  static void *user_thread(void *arg);
+  pthread_t thread;
+  RT_PIPE pipe;
 #endif
-
 };
 
Index: trunk/lib/FlairFilter/src/Ahrs.cpp
===================================================================
--- trunk/lib/FlairFilter/src/Ahrs.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/Ahrs.cpp	(revision 15)
@@ -27,67 +27,50 @@
 using namespace flair::sensor;
 
-namespace flair { namespace filter {
+namespace flair {
+namespace filter {
 
-Ahrs::Ahrs(const Imu* parent,string name) : IODevice(parent,name) {
-    pimpl_=new Ahrs_impl(this);
-    AddDataToLog(pimpl_->ahrsData);
+Ahrs::Ahrs(const Imu *parent, string name) : IODevice(parent, name) {
+  pimpl_ = new Ahrs_impl(this);
+  AddDataToLog(pimpl_->ahrsData);
 }
 
-Ahrs::~Ahrs() {
-    delete pimpl_;
-}
+Ahrs::~Ahrs() { delete pimpl_; }
 
-const Imu *Ahrs::GetImu(void) const {
-    return (Imu*)Parent();
-}
+const Imu *Ahrs::GetImu(void) const { return (Imu *)Parent(); }
 
-const AhrsData *Ahrs::GetDatas(void) const {
-    return pimpl_->ahrsData;
-}
+const AhrsData *Ahrs::GetDatas(void) const { return pimpl_->ahrsData; }
 
 void Ahrs::GetDatas(core::AhrsData **ahrsData) const {
-    *ahrsData=pimpl_->ahrsData;
+  *ahrsData = pimpl_->ahrsData;
 }
 
 void Ahrs::LockUserInterface(void) const {
-    //((Imu*)Parent())->LockUserInterface();
+  //((Imu*)Parent())->LockUserInterface();
 }
 
 void Ahrs::UnlockUserInterface(void) const {
-    //((Imu*)Parent())->UnlockUserInterface();
+  //((Imu*)Parent())->UnlockUserInterface();
 }
 
 void Ahrs::UseDefaultPlot(void) {
-    pimpl_->UseDefaultPlot();
-    ((Imu*)Parent())->UseDefaultPlot();
+  pimpl_->UseDefaultPlot();
+  ((Imu *)Parent())->UseDefaultPlot();
 }
 
-void Ahrs::AddPlot(const AhrsData *ahrsData,DataPlot::Color_t color) {
-    pimpl_->AddPlot(ahrsData,color);
+void Ahrs::AddPlot(const AhrsData *ahrsData, DataPlot::Color_t color) {
+  pimpl_->AddPlot(ahrsData, color);
 }
 
-DataPlot1D *Ahrs::RollPlot(void) const {
-    return pimpl_->rollPlot;
-}
+DataPlot1D *Ahrs::RollPlot(void) const { return pimpl_->rollPlot; }
 
-DataPlot1D *Ahrs::PitchPlot(void) const {
-    return pimpl_->pitchPlot;
-}
+DataPlot1D *Ahrs::PitchPlot(void) const { return pimpl_->pitchPlot; }
 
-DataPlot1D *Ahrs::YawPlot(void) const {
-    return pimpl_->yawPlot;
-}
+DataPlot1D *Ahrs::YawPlot(void) const { return pimpl_->yawPlot; }
 
-DataPlot1D *Ahrs::WXPlot(void) const {
-    return pimpl_->wXPlot;
-}
+DataPlot1D *Ahrs::WXPlot(void) const { return pimpl_->wXPlot; }
 
-DataPlot1D *Ahrs::WYPlot(void) const {
-    return pimpl_->wYPlot;
-}
+DataPlot1D *Ahrs::WYPlot(void) const { return pimpl_->wYPlot; }
 
-DataPlot1D *Ahrs::WZPlot(void) const {
-    return pimpl_->wZPlot;
-}
+DataPlot1D *Ahrs::WZPlot(void) const { return pimpl_->wZPlot; }
 
 } // end namespace filter
Index: trunk/lib/FlairFilter/src/Ahrs.h
===================================================================
--- trunk/lib/FlairFilter/src/Ahrs.h	(revision 14)
+++ trunk/lib/FlairFilter/src/Ahrs.h	(revision 15)
@@ -18,167 +18,168 @@
 
 namespace flair {
-    namespace core {
-        class Euler;
-        class Vector3D;
-        class ImuData;
-        class Quaternion;
-        class AhrsData;
-    }
-    namespace gui {
-        class Tab;
-        class DataPlot1D;
-    }
-    namespace sensor {
-        class Imu;
-    }
+namespace core {
+class Euler;
+class Vector3D;
+class ImuData;
+class Quaternion;
+class AhrsData;
+}
+namespace gui {
+class Tab;
+class DataPlot1D;
+}
+namespace sensor {
+class Imu;
+}
 }
 
 class Ahrs_impl;
 
-namespace flair { namespace filter {
-    /*! \class Ahrs
-    *
-    * \brief Abstract class for AHRS
-    *
-    * Use this class to define a custom AHRS. This class is child
-    * of an Imu class, which will provide measurements. \n
-    *
-    */
-    class Ahrs : public core::IODevice {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an Ahrs.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            Ahrs(const sensor::Imu* parent,std::string name);
+namespace flair {
+namespace filter {
+/*! \class Ahrs
+*
+* \brief Abstract class for AHRS
+*
+* Use this class to define a custom AHRS. This class is child
+* of an Imu class, which will provide measurements. \n
+*
+*/
+class Ahrs : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an Ahrs.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  Ahrs(const sensor::Imu *parent, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Ahrs();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Ahrs();
 
-            /*!
-            * \brief Get parent Imu
-            *
-            * This function is identical to (Imu*)Parent()
-            */
-            const sensor::Imu *GetImu(void) const;
+  /*!
+  * \brief Get parent Imu
+  *
+  * This function is identical to (Imu*)Parent()
+  */
+  const sensor::Imu *GetImu(void) const;
 
-            /*!
-            * \brief Get ahrs datas
-            *
-            * \return AhrsData
-            */
-            const core::AhrsData *GetDatas(void) const;
+  /*!
+  * \brief Get ahrs datas
+  *
+  * \return AhrsData
+  */
+  const core::AhrsData *GetDatas(void) const;
 
-            /*!
-            * \brief Lock the graphical user interface
-            *
-            * When locked, parameters cannot be modified.
-            *
-            */
-            void LockUserInterface(void) const;
+  /*!
+  * \brief Lock the graphical user interface
+  *
+  * When locked, parameters cannot be modified.
+  *
+  */
+  void LockUserInterface(void) const;
 
-            /*!
-            * \brief Unlock the graphical user interface
-            *
-            */
-            void UnlockUserInterface(void) const;
+  /*!
+  * \brief Unlock the graphical user interface
+  *
+  */
+  void UnlockUserInterface(void) const;
 
-            /*!
-            * \brief Use default plot
-            *
-            * Plot the datas defined in imudata,
-            * and datas defined in Imu::imudata.
-            *
-            */
-            void UseDefaultPlot(void);
+  /*!
+  * \brief Use default plot
+  *
+  * Plot the datas defined in imudata,
+  * and datas defined in Imu::imudata.
+  *
+  */
+  void UseDefaultPlot(void);
 
-            /*!
-            * \brief Add plot
-            *
-            * Add plot of an AhrsData to the default plot
-            *
-            * \param ahrsData ahrs datas to plot
-            * \param color color to use
-            */
-            void AddPlot(const core::AhrsData *ahrsData,gui::DataPlot::Color_t color);
+  /*!
+  * \brief Add plot
+  *
+  * Add plot of an AhrsData to the default plot
+  *
+  * \param ahrsData ahrs datas to plot
+  * \param color color to use
+  */
+  void AddPlot(const core::AhrsData *ahrsData, gui::DataPlot::Color_t color);
 
-            /*!
-            * \brief Roll plot
-            *
-            * Use this plot to add own curves.
-            *
-            * \return plot
-            *
-            */
-            gui::DataPlot1D *RollPlot(void)const ;
+  /*!
+  * \brief Roll plot
+  *
+  * Use this plot to add own curves.
+  *
+  * \return plot
+  *
+  */
+  gui::DataPlot1D *RollPlot(void) const;
 
-            /*!
-            * \brief Pitch plot
-            *
-            * Use this plot to add own curves.
-            *
-            * \return plot
-            *
-            */
-            gui::DataPlot1D *PitchPlot(void) const;
+  /*!
+  * \brief Pitch plot
+  *
+  * Use this plot to add own curves.
+  *
+  * \return plot
+  *
+  */
+  gui::DataPlot1D *PitchPlot(void) const;
 
-            /*!
-            * \brief Yaw plot
-            *
-            * Use this plot to add own curves.
-            *
-            * \return plot
-            *
-            */
-            gui::DataPlot1D *YawPlot(void) const;
+  /*!
+  * \brief Yaw plot
+  *
+  * Use this plot to add own curves.
+  *
+  * \return plot
+  *
+  */
+  gui::DataPlot1D *YawPlot(void) const;
 
-            /*!
-            * \brief Rotation speed around x axis plot
-            *
-            * Use this plot to add own curves.
-            *
-            * \return plot
-            *
-            */
-            gui::DataPlot1D *WXPlot(void) const;
+  /*!
+  * \brief Rotation speed around x axis plot
+  *
+  * Use this plot to add own curves.
+  *
+  * \return plot
+  *
+  */
+  gui::DataPlot1D *WXPlot(void) const;
 
-            /*!
-            * \brief Rotation speed around y axis plot
-            *
-            * Use this plot to add own curves.
-            *
-            * \return plot
-            *
-            */
-            gui::DataPlot1D *WYPlot(void) const;
+  /*!
+  * \brief Rotation speed around y axis plot
+  *
+  * Use this plot to add own curves.
+  *
+  * \return plot
+  *
+  */
+  gui::DataPlot1D *WYPlot(void) const;
 
-            /*!
-            * \brief Rotation speed around z axis plot
-            *
-            * Use this plot to add own curves.
-            *
-            * \return plot
-            *
-            */
-            gui::DataPlot1D *WZPlot(void) const;
+  /*!
+  * \brief Rotation speed around z axis plot
+  *
+  * Use this plot to add own curves.
+  *
+  * \return plot
+  *
+  */
+  gui::DataPlot1D *WZPlot(void) const;
 
-        protected:
-            /*!
-            * \brief Get ahrs datas
-            *
-            * \param ahrsData ahrs datas
-            */
-            void GetDatas(core::AhrsData **ahrsData) const;
+protected:
+  /*!
+  * \brief Get ahrs datas
+  *
+  * \param ahrsData ahrs datas
+  */
+  void GetDatas(core::AhrsData **ahrsData) const;
 
-        private:
-            class Ahrs_impl *pimpl_;
-    };
+private:
+  class Ahrs_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/Ahrs_impl.cpp
===================================================================
--- trunk/lib/FlairFilter/src/Ahrs_impl.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/Ahrs_impl.cpp	(revision 15)
@@ -30,70 +30,68 @@
 using namespace flair::sensor;
 
-Ahrs_impl::Ahrs_impl(Ahrs* inSelf): self(inSelf) {
-    rollPlot=NULL;
-    pitchPlot=NULL;
-    yawPlot=NULL;
-    wXPlot=NULL;
-    wYPlot=NULL;
-    wZPlot=NULL;
-    q0Plot=NULL;
-    q1Plot=NULL;
-    q2Plot=NULL;
-    q3Plot=NULL;
+Ahrs_impl::Ahrs_impl(Ahrs *inSelf) : self(inSelf) {
+  rollPlot = NULL;
+  pitchPlot = NULL;
+  yawPlot = NULL;
+  wXPlot = NULL;
+  wYPlot = NULL;
+  wZPlot = NULL;
+  q0Plot = NULL;
+  q1Plot = NULL;
+  q2Plot = NULL;
+  q3Plot = NULL;
 
-    eulerTab=NULL;
-    quaternionTab=NULL;
+  eulerTab = NULL;
+  quaternionTab = NULL;
 
-    ahrsData=new AhrsData(self);
+  ahrsData = new AhrsData(self);
 }
 
-Ahrs_impl::~Ahrs_impl() {
-}
+Ahrs_impl::~Ahrs_impl() {}
 
 void Ahrs_impl::UseDefaultPlot(void) {
 
-    eulerTab=new Tab(((Imu*)(self->Parent()))->tab,"AHRS");
-    rollPlot=new DataPlot1D(eulerTab->NewRow(),"roll",-30,30);
-    rollPlot->AddCurve(ahrsData->Element(AhrsData::RollDeg));
-    pitchPlot=new DataPlot1D(eulerTab->LastRowLastCol(),"pitch",-30,30);
-    pitchPlot->AddCurve(ahrsData->Element(AhrsData::PitchDeg));
-    yawPlot=new DataPlot1D(eulerTab->LastRowLastCol(),"yaw",-180,180);
-    yawPlot->AddCurve(ahrsData->Element(AhrsData::YawDeg));
+  eulerTab = new Tab(((Imu *)(self->Parent()))->tab, "AHRS");
+  rollPlot = new DataPlot1D(eulerTab->NewRow(), "roll", -30, 30);
+  rollPlot->AddCurve(ahrsData->Element(AhrsData::RollDeg));
+  pitchPlot = new DataPlot1D(eulerTab->LastRowLastCol(), "pitch", -30, 30);
+  pitchPlot->AddCurve(ahrsData->Element(AhrsData::PitchDeg));
+  yawPlot = new DataPlot1D(eulerTab->LastRowLastCol(), "yaw", -180, 180);
+  yawPlot->AddCurve(ahrsData->Element(AhrsData::YawDeg));
 
-    wXPlot=new DataPlot1D(eulerTab->NewRow(),"w_x",-200,200);
-    wXPlot->AddCurve(ahrsData->Element(AhrsData::WxDeg));
-    wYPlot=new DataPlot1D(eulerTab->LastRowLastCol(),"w_y",-200,200);
-    wYPlot->AddCurve(ahrsData->Element(AhrsData::WyDeg));
-    wZPlot=new DataPlot1D(eulerTab->LastRowLastCol(),"w_z",-200,200);
-    wZPlot->AddCurve(ahrsData->Element(AhrsData::WzDeg));
+  wXPlot = new DataPlot1D(eulerTab->NewRow(), "w_x", -200, 200);
+  wXPlot->AddCurve(ahrsData->Element(AhrsData::WxDeg));
+  wYPlot = new DataPlot1D(eulerTab->LastRowLastCol(), "w_y", -200, 200);
+  wYPlot->AddCurve(ahrsData->Element(AhrsData::WyDeg));
+  wZPlot = new DataPlot1D(eulerTab->LastRowLastCol(), "w_z", -200, 200);
+  wZPlot->AddCurve(ahrsData->Element(AhrsData::WzDeg));
 
-    quaternionTab=new Tab(((Imu*)(self->Parent()))->tab,"Quaternion");
-    q0Plot=new DataPlot1D(quaternionTab->NewRow(),"q0",-1,1);
-    q0Plot->AddCurve(ahrsData->Element(AhrsData::Q0));
-    q1Plot=new DataPlot1D(quaternionTab->NewRow(),"q1",-1,1);
-    q1Plot->AddCurve(ahrsData->Element(AhrsData::Q1));
-    q2Plot=new DataPlot1D(quaternionTab->LastRowLastCol(),"q2",-1,1);
-    q2Plot->AddCurve(ahrsData->Element(AhrsData::Q2));
-    q3Plot=new DataPlot1D(quaternionTab->LastRowLastCol(),"q3",-1,1);
-    q3Plot->AddCurve(ahrsData->Element(AhrsData::Q3));
-
+  quaternionTab = new Tab(((Imu *)(self->Parent()))->tab, "Quaternion");
+  q0Plot = new DataPlot1D(quaternionTab->NewRow(), "q0", -1, 1);
+  q0Plot->AddCurve(ahrsData->Element(AhrsData::Q0));
+  q1Plot = new DataPlot1D(quaternionTab->NewRow(), "q1", -1, 1);
+  q1Plot->AddCurve(ahrsData->Element(AhrsData::Q1));
+  q2Plot = new DataPlot1D(quaternionTab->LastRowLastCol(), "q2", -1, 1);
+  q2Plot->AddCurve(ahrsData->Element(AhrsData::Q2));
+  q3Plot = new DataPlot1D(quaternionTab->LastRowLastCol(), "q3", -1, 1);
+  q3Plot->AddCurve(ahrsData->Element(AhrsData::Q3));
 }
 
-void Ahrs_impl::AddPlot(const AhrsData *ahrsData,DataPlot::Color_t color) {
-    if(rollPlot!=NULL) {
-        rollPlot->AddCurve(ahrsData->Element(AhrsData::RollDeg),color);
-        pitchPlot->AddCurve(ahrsData->Element(AhrsData::PitchDeg),color);
-        yawPlot->AddCurve(ahrsData->Element(AhrsData::YawDeg),color);
-    }
-    if(wXPlot!=NULL) {
-        wXPlot->AddCurve(ahrsData->Element(AhrsData::WxDeg),color);
-        wYPlot->AddCurve(ahrsData->Element(AhrsData::WyDeg),color);
-        wZPlot->AddCurve(ahrsData->Element(AhrsData::WzDeg),color);
-    }
-    if(quaternionTab!=NULL) {
-        q0Plot->AddCurve(ahrsData->Element(AhrsData::Q0),color);
-        q1Plot->AddCurve(ahrsData->Element(AhrsData::Q1),color);
-        q2Plot->AddCurve(ahrsData->Element(AhrsData::Q2),color);
-        q3Plot->AddCurve(ahrsData->Element(AhrsData::Q3),color);
-    }
+void Ahrs_impl::AddPlot(const AhrsData *ahrsData, DataPlot::Color_t color) {
+  if (rollPlot != NULL) {
+    rollPlot->AddCurve(ahrsData->Element(AhrsData::RollDeg), color);
+    pitchPlot->AddCurve(ahrsData->Element(AhrsData::PitchDeg), color);
+    yawPlot->AddCurve(ahrsData->Element(AhrsData::YawDeg), color);
+  }
+  if (wXPlot != NULL) {
+    wXPlot->AddCurve(ahrsData->Element(AhrsData::WxDeg), color);
+    wYPlot->AddCurve(ahrsData->Element(AhrsData::WyDeg), color);
+    wZPlot->AddCurve(ahrsData->Element(AhrsData::WzDeg), color);
+  }
+  if (quaternionTab != NULL) {
+    q0Plot->AddCurve(ahrsData->Element(AhrsData::Q0), color);
+    q1Plot->AddCurve(ahrsData->Element(AhrsData::Q1), color);
+    q2Plot->AddCurve(ahrsData->Element(AhrsData::Q2), color);
+    q3Plot->AddCurve(ahrsData->Element(AhrsData::Q3), color);
+  }
 }
Index: trunk/lib/FlairFilter/src/ButterworthLowPass.cpp
===================================================================
--- trunk/lib/FlairFilter/src/ButterworthLowPass.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/ButterworthLowPass.cpp	(revision 15)
@@ -26,41 +26,33 @@
 using namespace flair::gui;
 
-namespace flair
-{
-namespace filter
-{
+namespace flair {
+namespace filter {
 
-ButterworthLowPass::ButterworthLowPass(const IODevice* parent,const LayoutPosition* position,string name,int order): IODevice(parent,name)
-{
-    pimpl_=new ButterworthLowPass_impl(this,position,name,order);
-    AddDataToLog(pimpl_->output);
+ButterworthLowPass::ButterworthLowPass(const IODevice *parent,
+                                       const LayoutPosition *position,
+                                       string name, int order)
+    : IODevice(parent, name) {
+  pimpl_ = new ButterworthLowPass_impl(this, position, name, order);
+  AddDataToLog(pimpl_->output);
 }
 
-ButterworthLowPass::ButterworthLowPass(const gui::LayoutPosition* position,string name,int order): IODevice(position->getLayout(),name)
-{
-    pimpl_=new ButterworthLowPass_impl(this,position,name,order);
-    AddDataToLog(pimpl_->output);
+ButterworthLowPass::ButterworthLowPass(const gui::LayoutPosition *position,
+                                       string name, int order)
+    : IODevice(position->getLayout(), name) {
+  pimpl_ = new ButterworthLowPass_impl(this, position, name, order);
+  AddDataToLog(pimpl_->output);
 }
 
+ButterworthLowPass::~ButterworthLowPass() { delete pimpl_; }
 
-ButterworthLowPass::~ButterworthLowPass()
-{
-    delete pimpl_;
+cvmatrix *ButterworthLowPass::Matrix(void) const { return pimpl_->output; }
+
+float ButterworthLowPass::Output(void) const {
+  return pimpl_->output->Value(0, 0);
 }
 
-cvmatrix *ButterworthLowPass::Matrix(void) const
-{
-    return pimpl_->output;
-}
-
-float ButterworthLowPass::Output(void) const
-{
-   return pimpl_->output->Value(0,0);
-}
-
-void ButterworthLowPass::UpdateFrom(const io_data *data)
-{
-    pimpl_->UpdateFrom(data);
-    ProcessUpdate(pimpl_->output);
+void ButterworthLowPass::UpdateFrom(const io_data *data) {
+  pimpl_->UpdateFrom(data);
+  ProcessUpdate(pimpl_->output);
 }
 
Index: trunk/lib/FlairFilter/src/ButterworthLowPass.h
===================================================================
--- trunk/lib/FlairFilter/src/ButterworthLowPass.h	(revision 14)
+++ trunk/lib/FlairFilter/src/ButterworthLowPass.h	(revision 15)
@@ -16,91 +16,89 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class LayoutPosition;
+}
 }
 
 class ButterworthLowPass_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class ButterworthLowPass
-    *
-    * \brief Class defining a Butterworth low pass filter
-    */
-    class ButterworthLowPass : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a ButterworthLowPass at position. \n
-            * After calling this function, position will be deleted as it is no longer usefull. \n
-            * The filter is automatically updated when parent's
-            * IODevice::ProcessUpdate is called.
-            *
-            * \param parent parent
-            * \param position position to display settings
-            * \param name name
-            * \param order order of the filter
-            */
-            ButterworthLowPass(const IODevice* parent,const gui::LayoutPosition* position,std::string name,int order);
+namespace flair {
+namespace filter {
+/*! \class ButterworthLowPass
+*
+* \brief Class defining a Butterworth low pass filter
+*/
+class ButterworthLowPass : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a ButterworthLowPass at position. \n
+  * After calling this function, position will be deleted as it is no longer
+  *usefull. \n
+  * The filter is automatically updated when parent's
+  * IODevice::ProcessUpdate is called.
+  *
+  * \param parent parent
+  * \param position position to display settings
+  * \param name name
+  * \param order order of the filter
+  */
+  ButterworthLowPass(const IODevice *parent,
+                     const gui::LayoutPosition *position, std::string name,
+                     int order);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a ButterworthLowPass at position. \n
-            * The ButterworthLowPass will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            * The filter is updated manually with UpdateFrom method. \n
-            *
-            * \param position position to display settings
-            * \param name name
-            * \param order order of the filter
-            */
-            ButterworthLowPass(const gui::LayoutPosition* position,std::string name,int order);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a ButterworthLowPass at position. \n
+  * The ButterworthLowPass will automatically be child of position->getLayout()
+  *Layout. After calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  * The filter is updated manually with UpdateFrom method. \n
+  *
+  * \param position position to display settings
+  * \param name name
+  * \param order order of the filter
+  */
+  ButterworthLowPass(const gui::LayoutPosition *position, std::string name,
+                     int order);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~ButterworthLowPass();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~ButterworthLowPass();
 
-            /*!
-            * \brief Output value
-            *
-            * \return filtered output
-            */
-            float Output(void) const;
+  /*!
+  * \brief Output value
+  *
+  * \return filtered output
+  */
+  float Output(void) const;
 
-            /*!
-            * \brief Output matrix
-            *
-            * \return filtered output
-            */
-            core::cvmatrix* Matrix(void)const ;
+  /*!
+  * \brief Output matrix
+  *
+  * \return filtered output
+  */
+  core::cvmatrix *Matrix(void) const;
 
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-        private:
-
-            class ButterworthLowPass_impl* pimpl_;
-    };
+private:
+  class ButterworthLowPass_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/ButterworthLowPass_impl.cpp
===================================================================
--- trunk/lib/FlairFilter/src/ButterworthLowPass_impl.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/ButterworthLowPass_impl.cpp	(revision 15)
@@ -29,72 +29,63 @@
 using namespace flair::filter;
 
-ButterworthLowPass_impl::ButterworthLowPass_impl(ButterworthLowPass* self,const LayoutPosition* position,string name,int order)
-{
-    //init UI
-    GroupBox* reglages_groupbox=new GroupBox(position,name);
-        T=new DoubleSpinBox(reglages_groupbox->NewRow(),"period, 0 for auto"," s",0,10,0.01);
-        cutoff=new DoubleSpinBox(reglages_groupbox->NewRow(),"cutoff frequency"," Hz",0,10000,0.1,2,1);
+ButterworthLowPass_impl::ButterworthLowPass_impl(ButterworthLowPass *self,
+                                                 const LayoutPosition *position,
+                                                 string name, int order) {
+  // init UI
+  GroupBox *reglages_groupbox = new GroupBox(position, name);
+  T = new DoubleSpinBox(reglages_groupbox->NewRow(), "period, 0 for auto", " s",
+                        0, 10, 0.01);
+  cutoff = new DoubleSpinBox(reglages_groupbox->NewRow(), "cutoff frequency",
+                             " Hz", 0, 10000, 0.1, 2, 1);
 
-    cvmatrix_descriptor* desc=new cvmatrix_descriptor(1,1);
-    desc->SetElementName(0,0,"output");
-    output=new cvmatrix(self,desc,floatType,name);
+  cvmatrix_descriptor *desc = new cvmatrix_descriptor(1, 1);
+  desc->SetElementName(0, 0, "output");
+  output = new cvmatrix(self, desc, floatType, name);
 
-    output->SetValue(0,0,0);
+  output->SetValue(0, 0, 0);
 
-	f= new PoleFilter(order);
+  f = new PoleFilter(order);
 
-    if(T->Value()!=0) f->setup(1./T->Value(), cutoff->Value());
-	f->reset();
+  if (T->Value() != 0)
+    f->setup(1. / T->Value(), cutoff->Value());
+  f->reset();
 
-	first_update=true;
+  first_update = true;
 }
 
-ButterworthLowPass_impl::~ButterworthLowPass_impl()
-{
-    delete f;
+ButterworthLowPass_impl::~ButterworthLowPass_impl() { delete f; }
+
+void ButterworthLowPass_impl::UpdateFrom(const io_data *data) {
+  float result;
+  cvmatrix *input = (cvmatrix *)data;
+
+  if (T->ValueChanged() || cutoff->ValueChanged()) {
+    if (T->Value() != 0) {
+      f->setup(1. / T->Value(), cutoff->Value());
+    } else {
+      first_update = true;
+    }
+  }
+
+  // on prend une fois pour toute les mutex et on fait des accès directs
+  output->GetMutex();
+  input->GetMutex();
+
+  if (T->Value() == 0) {
+    float delta_t = (float)(data->DataTime() - previous_time) / 1000000000.;
+    f->setup(1. / delta_t, cutoff->Value());
+  }
+
+  if (first_update == true) {
+    first_update = false;
+  } else {
+    result = f->filter(input->ValueNoMutex(0, 0));
+    output->SetValueNoMutex(0, 0, result);
+  }
+
+  input->ReleaseMutex();
+  output->ReleaseMutex();
+
+  output->SetDataTime(data->DataTime());
+  previous_time = data->DataTime();
 }
-
-void ButterworthLowPass_impl::UpdateFrom(const io_data *data)
-{
-    float result;
-    cvmatrix *input=(cvmatrix*)data;
-
-    if(T->ValueChanged() || cutoff->ValueChanged())
-    {
-        if(T->Value()!=0)
-        {
-            f->setup (1./T->Value(), cutoff->Value());
-        }
-        else
-        {
-            first_update=true;
-        }
-    }
-
-    //on prend une fois pour toute les mutex et on fait des accès directs
-    output->GetMutex();
-    input->GetMutex();
-
-    if(T->Value()==0)
-    {
-        float delta_t=(float)(data->DataTime()-previous_time)/1000000000.;
-        f->setup (1./delta_t, cutoff->Value());
-    }
-
-    if(first_update==true)
-    {
-        first_update=false;
-    }
-    else
-    {
-        result = f->filter(input->ValueNoMutex(0,0));
-        output->SetValueNoMutex(0,0,result);
-    }
-
-    input->ReleaseMutex();
-    output->ReleaseMutex();
-
-    output->SetDataTime(data->DataTime());
-    previous_time=data->DataTime();
-}
-
